ChangeSet 1.1006.11.15, 2003/03/20 14:19:13-08:00, jmcmullan@linuxcare.com

[PATCH] USB HID: Ignore P5 Data Glove

  As requested, here are the 2.4 (latest BK tree) and 2.5 (latest bk
  tree) patches to ignore the non-HID Essential Reality Data Glove

  (again, user-space lib to access this device via /proc/bus/usb
   is available at http://www.evillabs.net/~jmcc/p5)


 drivers/usb/hid-core.c |    4 ++++
 1 files changed, 4 insertions(+)


diff -Nru a/drivers/usb/hid-core.c b/drivers/usb/hid-core.c
--- a/drivers/usb/hid-core.c	Thu Mar 27 16:01:54 2003
+++ b/drivers/usb/hid-core.c	Thu Mar 27 16:01:54 2003
@@ -1102,6 +1102,9 @@
 #define USB_VENDOR_ID_OKI		0x070a
 #define USB_VENDOR_ID_OKI_MULITI	0x0007
 
+#define USB_VENDOR_ID_ESSENTIAL_REALITY	0x0d7f
+#define USB_DEVICE_ID_ESSENTIAL_REALITY_P5	0x0100
+
 struct hid_blacklist {
 	__u16 idVendor;
 	__u16 idProduct;
@@ -1142,6 +1145,7 @@
  	{ USB_VENDOR_ID_ONTRAK, USB_DEVICE_ID_ONTRAK_ADU100 + 500, HID_QUIRK_IGNORE },
  	{ USB_VENDOR_ID_TANGTOP, USB_DEVICE_ID_TANGTOP_USBPS2, HID_QUIRK_NOGET },
 	{ USB_VENDOR_ID_OKI, USB_VENDOR_ID_OKI_MULITI, HID_QUIRK_NOGET },
+	{ USB_VENDOR_ID_ESSENTIAL_REALITY, USB_DEVICE_ID_ESSENTIAL_REALITY_P5, HID_QUIRK_IGNORE },
 	{ 0, 0 }
 };
 
